RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000002AFRF[All Projects] Generalpublic2014-11-21 22:492014-11-30 13:17
ReporterDrezzo 
Assigned ToMistyRonin 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.3.0 
Target Version0.3.5Fixed in Version0.3.5 
Summary0000002: bad definition of rhs_bmp3_msv
DescriptionCannot create entity with abstract type rhs_bmp3_msv (scope = private?)
Cannot create non-ai vehicle rhs_bmp3_msv,

is spammed in the RPT and can crash the dedicated server.
The entries can also appear when not spawning any bmp vehicles.
Steps To Reproducetest = createVehicle "rhs_bmp3_msv" position player
TagsNo tags attached.
Is it a wish/request?
Arma 3 version
Did you used any other mod when the error occurred?
Which mods?
Attached Files

- Relationships

-  Notes
(0000002)
MistyRonin (administrator)
2014-11-22 06:57

The BMP-3 hasn't been implemented yet.
(0000003)
Drezzo (reporter)
2014-11-22 11:45

I was pretty vague in the description, my apologies.

We did not use "rhs_bmp3_msv" createVehicle in any of the missions where it crashes the server and spams the RPT with that error.
It seems to be defined in part in the mod and ALiVE picks this up and tries to create it?
This also happens in missions where rhs assets aren't spawned in by ALiVE.
(0000006)
MistyRonin (administrator)
2014-11-22 17:46
edited on: 2014-11-22 18:26

Now I understand.

The BMP-3 is defined in the RHS AFRF groups and as it hasn't been implemented, the mods that try to create that groups may find issues.

The next patch will solve this.

Thank you for the report :)

(0000018)
Fennek (reporter)
2014-11-23 12:59

Does that meen that the BMP 3 will be in the next patch?
(0000025)
MistyRonin (administrator)
2014-11-23 19:46

Solved in the next patch.

- Issue History
Date Modified Username Field Change
2014-11-21 22:49 Drezzo New Issue
2014-11-22 06:57 MistyRonin Note Added: 0000001
2014-11-22 06:57 MistyRonin Note Added: 0000002
2014-11-22 06:57 MistyRonin Status new => closed
2014-11-22 06:57 MistyRonin Assigned To => MistyRonin
2014-11-22 06:57 MistyRonin Resolution open => fixed
2014-11-22 06:58 MistyRonin Note Deleted: 0000001
2014-11-22 11:45 Drezzo Note Added: 0000003
2014-11-22 11:45 Drezzo Status closed => feedback
2014-11-22 11:45 Drezzo Resolution fixed => reopened
2014-11-22 17:46 MistyRonin Note Added: 0000006
2014-11-22 18:04 MistyRonin Status feedback => acknowledged
2014-11-22 18:26 MistyRonin Note Edited: 0000006 View Revisions
2014-11-23 12:59 Fennek Note Added: 0000018
2014-11-23 19:46 MistyRonin Note Added: 0000025
2014-11-23 19:46 MistyRonin Status acknowledged => resolved
2014-11-23 19:46 MistyRonin Resolution reopened => fixed
2014-11-30 13:17 Soul_Assassin Product Version => 0.3.0
2014-11-30 13:17 Soul_Assassin Fixed in Version => 0.3.5
2014-11-30 13:17 Soul_Assassin Target Version => 0.3.5


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker